# Generated by Otto, do not edit!
#
# This is a Vagrantfile that represents a single layer of a multi-layered
# dev environment. Do not modify, boot, or destroy this environment since
# it can corrupt other environments very easily.

Vagrant.configure("2") do |config|
  {% block vagrant_box %}
  if ENV["OTTO_VAGRANT_LAYER_PATH"]
    config.vm.clone = ENV["OTTO_VAGRANT_LAYER_PATH"]
  else
    config.vm.box = "hashicorp/precise64"
    config.vm.box_check_update = false
    config.vm.provider :parallels do |p, o|
      o.vm.box = "parallels/ubuntu-12.04"
    end
  end
  {% endblock %}

  # ScriptPacks
  dir = "/otto/scriptpacks"
  config.vm.provision "shell", inline: "sudo rm -rf #{dir}; sudo mkdir -p #{dir}; sudo chmod 0777 #{dir}"
  {% for sp in scriptpacks %}
  config.vm.provision "file", source: "{{ sp.path }}", destination: "#{dir}/{{ sp.name }}.tar.gz"
  config.vm.provision "shell", inline: "cd #{dir}; sudo mkdir {{ sp.name }}; sudo tar xzf {{ sp.name }}.tar.gz -C {{ sp.name }}"
  {% endfor %}

  # Use a linked clone if we can
  config.vm.provider "virtualbox" do |v|
    v.linked_clone = true
  end

  if Vagrant.has_plugin?("vagrant-parallels", ">= 1.6.0")
    config.vm.provider "parallels" do |p|
      p.linked_clone = true
    end
  end

  # Disable the default synced folder
  config.vm.synced_folder ".", "/vagrant", disabled: true

  {% block vagrant_config %}{% endblock %}
end

{% block footer %}{% endblock %}
